DefinitionCriteriaByKindImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.union.impl

## Class DefinitionCriteriaByKindImpl

- java.lang.Object
- - tv.amwa.maj.union.impl.DefinitionCriteriaImpl
  - - tv.amwa.maj.union.impl.DefinitionCriteriaByKindImpl

- All Implemented Interfaces:
    Serializable, Cloneable, DefinitionCriteria, DefinitionCriteriaByKind

      public class DefinitionCriteriaByKindImpl
      extends DefinitionCriteriaImpl
      implements DefinitionCriteriaByKind, Serializable, Cloneable

  Implementation of a criteria for matching a definition determined by its kind, such as data definition, property definition etc..

  See Also:
    `DefinitionObject`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefinitionCriteriaByKindImpl(DefinitionKind definitionKind)` Create a definition criteria with the given kind of definition to match.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefinitionCriteriaByKindImpl` | `clone()`
    `boolean` | `equals(Object o)`
    `DefinitionKind` | `getKind()` Returns the definition kind for this definition criteria.
    `int` | `hashCode()`
    `void` | `setKind(DefinitionKind kind)` Sets the definition kind for this definition criteria.
    `String` | `toString()` Creates a pseudo-XML representation of this definition criteria.

    - ### Methods inherited from class tv.amwa.maj.union.impl.DefinitionCriteriaImpl

      `getDefinitionType`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.union.DefinitionCriteria

      `getDefinitionType`

- - ### Constructor Detail

    - #### DefinitionCriteriaByKindImpl

          public DefinitionCriteriaByKindImpl(DefinitionKind definitionKind)
                                       throws NullPointerException

      Create a definition criteria with the given kind of definition to match.

      Parameters:
        `definitionKind` - Kind of definition criteria.
      Throws:
        `NullPointerException`

  - ### Method Detail

    - #### getKind

          public DefinitionKind getKind()

      Description copied from interface: `DefinitionCriteriaByKind`

      Returns the definition kind for this definition criteria.

      Specified by:
        `getKind` in interface `DefinitionCriteriaByKind`
      Returns:
        Definition kind for this definition criteria.

    - #### setKind

          public void setKind(DefinitionKind kind)
                       throws NullPointerException

      Description copied from interface: `DefinitionCriteriaByKind`

      Sets the definition kind for this definition criteria.

      Specified by:
        `setKind` in interface `DefinitionCriteriaByKind`
      Parameters:
        `kind` - Definition kind for this definition criteria.
      Throws:
        `NullPointerException` - The definition kind is `null`.

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Creates a pseudo-XML representation of this definition criteria. No XML schema or DTD is defined. For example:

           <DefinitionCriteria kind="PropertyDefinition"/>

      Overrides:
        `toString` in class `Object`

    - #### clone

          public DefinitionCriteriaByKindImpl clone()
                                             throws CloneNotSupportedException

      Overrides:
        `clone` in class `Object`
      Throws:
        `CloneNotSupportedException`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.